using GDWeave;
using Serilog;
using Serilog.Core;

namespace BetterFirstPerson;

public class BetterFirstPersonMod : IMod {
    public Config Config;

    public BetterFirstPersonMod(IModInterface modInterface) {
        this.Config = modInterface.ReadConfig<Config>();
        modInterface.Logger.Information("BetterFirstPerson loaded!");

        modInterface.RegisterScriptMod(new PlayerPatch(this));
    }

    public void Dispose() {}
}
